Skip to main content
POST
Create a connection table

Authorizations

Authorization
string
header
required

Send the API token as Authorization: Bearer <token>.

Body

application/json
name
string

Table name.

connector
string

Connector type, for example kafka.

connection_profile_id
string

ID of the connection profile to use.

config
object

Table-specific connector configuration.

schema
object

Schema definition, including the format and fields.

Response

The created ConnectionTable object.

id
integer
pub_id
string
name
string
created_at
integer
connector
string
table_type
string

Table type, for example source.

config
object
schema
object
consumers
integer